<template>
	<div class="case-wrap">
		<Discussion1 v-if="showDiscussion ==='337'"></Discussion1>
		<Discussion2 v-else-if="showDiscussion ==='232'"></Discussion2>
		<Discussion3 v-else></Discussion3>
	</div>
</template>

<script setup>
import { ref, onMounted, computed } from "vue";
// import Discussion1 from './337/index.vue'
// import Discussion2 from './232/index.vue'
import Discussion3 from './301/index.vue'
import { useRoute } from "vue-router";

const route = useRoute()
console.log('route',route.query.id)

const showDiscussion = ref('')

onMounted(() => {
	showDiscussion.value = route.query.id
})

</script>

<style lang="scss" scoped>

</style>